IPXROUTED(8)

NAME
IPXrouted - IPX Routing Information Protocol daemon

SYNOPSIS
IPXrouted [-N] [-q] [-s] [-S] [-t] [logfile]

DESCRIPTION
The IPXrouted utility is invoked at boot time to manage the IPX routing tables. The IPX routing daemon uses the Novell IPX Routing Information Protocol in maintaining up to date kernel routing table entries.

Available options:

-N  Do not reply on GetNearestServer SAP request.

-q  Do not supply routing information (opposite of -s option below).

-s  Forces IPXrouted to supply routing information whether it is acting as an internetwork router or not.

-S  Do not supply Service Advertising Protocol (SAP) information. The default is to supply SAP information.

-t  All packets sent or received are printed on the standard output. In addition, IPXrouted will not divorce itself from the controlling terminal so that interrupts from the keyboard will kill the process.

logfile
    Name of file in which IPXrouted's actions should be logged. This log contains information about any changes to the routing tables and a history of recent messages sent and received which are related to the changed route.

In normal operation IPXrouted listens for routing information packets. If the host is connected to multiple IPX networks, it periodically supplies copies of its routing tables to any directly connected hosts and networks.

When IPXrouted is started, it uses the SIOCGIFCONF ioctl(2) to find those directly connected interfaces configured into the system and marked “up” (the software loopback interface is ignored). If multiple interfaces are present, it is assumed the host will forward packets between networks. The IPXrouted utility then transmits a request packet on each interface (using a broadcast packet if the interface supports it) and enters a loop, listening for request and response packets from other hosts.

When a request packet is received, IPXrouted formulates a reply based on the information maintained in its internal tables. The response packet generated contains a list of known routes, each marked with a “hop count” metric (a count of 16, or greater, is considered “infinite”). The metric associated with each route returned provides a metric relative to the sender.

Response packets received by IPXrouted are used to update the routing tables if one of the following conditions is satisfied:

•   No routing table entry exists for the destination network or host, and the metric indicates the destination is “reachable” (i.e., the hop count is not infinite).

•   The source host of the packet is the same as the router in the existing routing table entry. That is, updated information is being received from the very internetwork router through which packets for the destination are being routed.

•   The existing entry in the routing table has not been updated for some time (defined to be 90 seconds) and the route is at least as cost effective as the current route.

•   The new route describes a shorter route to the destination than the one currently stored in the routing tables; the metric of the new route is compared against the one stored in the table to decide this.

When an update is applied, IPXrouted records the change in its internal tables and generates a response packet to all directly connected hosts and networks. The routed(8) utility waits a short period of time (no more than 30 seconds) before modifying the kernel's routing tables to allow possible unstable situations to settle.

In addition to processing incoming packets, IPXrouted also periodically checks the routing table entries. If an entry has not been updated for 3 minutes, the entry's metric is set to infinity and marked for deletion. Deletions are delayed an additional 60 seconds to ensure the invalidation is propagated to other routers.

Hosts acting as internetwork routers gratuitously supply their routing tables every 30 seconds to all directly connected hosts and networks.

If IPXrouted receives a SIGINFO signal the current contents of the RIP and SAP tables are appended to the file /var/log/ipxrouted.dmp.

SEE ALSO
ipx(3)

HISTORY
The IPXrouted utility first appeared in FreeBSD 2.2.